package com.zcloud.service.positAlarm.impl;

import com.zcloud.entity.Page;
import com.zcloud.entity.PageData;
import com.zcloud.mapper.datasource.positAlarm.PositAlarmMapper;
import com.zcloud.service.positAlarm.PositAlarmService;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.util.List;

/**
 * @author lin
 */
@Service
public class PositAlarmServiceImpl implements PositAlarmService {

    @Resource
    private PositAlarmMapper positAlarmMapper;

    @Override
    public List<PageData> findPositAlarmList(PageData pd) {
        return positAlarmMapper.findPositAlarmList(pd);
    }

    // 修改处置人
    @Transactional(rollbackFor = Exception.class)
    @Override
    public void editDisposePerson(PageData pd) {
        positAlarmMapper.editDisposePerson(pd);
    }

    @Override
    public List<PageData> findPositAlarmListByCorpId(Page page) {
        return positAlarmMapper.findPositAlarmListByCorpIdlistPage(page);
    }
}
